<?php

namespace Modules\Partner\Interfaces;

use Modules\Partner\Models\Partner;

interface PartnerRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Partner;
    public function update(array $request, Partner $partner): Partner;
    public function destroy(Partner $partner): void;
    public function destroyAll(array $ids): void;
    public function restore(Partner $partner): void;
    public function restoreAll(array $ids): void;
}
